com.verisign.epp.codec.loginsecpolicy.v04

## Enum EPPLoginSecPolicyEvent.EventErrorAction

- java.lang.Object
- - java.lang.Enum<EPPLoginSecPolicyEvent.EventErrorAction>
  - - com.verisign.epp.codec.loginsecpolicy.v04.EPPLoginSecPolicyEvent.EventErrorAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EPPLoginSecPolicyEvent.EventErrorAction>
  Enclosing class:
    EPPLoginSecPolicyEvent

      public static enum EPPLoginSecPolicyEvent.EventErrorAction
      extends java.lang.Enum<EPPLoginSecPolicyEvent.EventErrorAction>
      implements java.io.Serializable, java.lang.Cloneable

  Possible list of event error action types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `connect` The client connection will fail.
    `login` The client login will fail.
    `none` There is no predefined failure action.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPLoginSecPolicyEvent.EventErrorAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPLoginSecPolicyEvent.EventErrorAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### connect

          public static final EPPLoginSecPolicyEvent.EventErrorAction connect

      The client connection will fail. For example, when the client certificate expires, the TLS handshake will fail.

    - #### login

          public static final EPPLoginSecPolicyEvent.EventErrorAction login

      The client login will fail. For example, when the new password does not meet the server password complexity requirements or when the password expires, the login will fail.

    - #### none

          public static final EPPLoginSecPolicyEvent.EventErrorAction none

      There is no predefined failure action. For example, when the password expires, the server will not fail the login.

  - ### Method Detail

    - #### values

          public static EPPLoginSecPolicyEvent.EventErrorAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLoginSecPolicyEvent.EventErrorAction c : EPPLoginSecPolicyEvent.EventErrorAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLoginSecPolicyEvent.EventErrorAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null